package com.wechat.dao;

import java.util.ArrayList;

import org.springframework.stereotype.Repository;

import com.wechat.global.base.dao.RedisGeneratorDao;
import com.wechat.model.dto.HotelBrandDto;
@Repository
public class RedisHotelBrandDao extends RedisGeneratorDao<String, ArrayList<HotelBrandDto>> {
	private String tableKey = "RedisHotelBrandDao";

    public ArrayList<HotelBrandDto> selectMessageInfo(String infoKey) {
        return selectOne(tableKey, infoKey);
    }

    public void updateMessageInfo(String infoKey, ArrayList<HotelBrandDto> infoValue) {
        update(tableKey, infoKey, infoValue);
    }

    public void insertMessageInfo(String infoKey, ArrayList<HotelBrandDto> infoValue) {
        insert(tableKey, infoKey, infoValue);
    }

    public void deleteMessageInfo(String infoKey) {
        delete(tableKey, infoKey);
    }

}
